import { MODEL } from "@/assets/js/constant";

export default [
  {
    path: "/enterprise_management",
    redirect: "/enterprise_management/information",
    meta: { title: "企业管理", model: MODEL["1"] },
    component: "children",
    children: [
      {
        path: "/enterprise_management/information",
        redirect: "/enterprise_management/information/info",
        meta: { title: "企业信息" },
        component: "children",
        children: [
          {
            path: "/enterprise_management/information/info",
            meta: { title: "企业信息", isSubMenu: false },
            component: "children",
            children: [
              {
                path: "",
                component: "enterprise_management/information/info",
              },
              {
                path: "/enterprise_management/information/info/edit",
                meta: {
                  title: "编辑",
                  activeMenu: "/enterprise_management/information/info",
                },
                component: "enterprise_management/information/edit",
              },
            ],
          },
          {
            path: "/enterprise_management/information/industry_qualifications",
            meta: { title: "行业资质", isSubMenu: false },
            component: "children",
            children: [
              {
                path: "",
                component:
                  "enterprise_management/industry_qualifications/index",
              },
              {
                path: "/enterprise_management/information/industry_qualifications/add",
                meta: {
                  title: "新增",
                  activeMenu:
                    "/enterprise_management/information/industry_qualifications",
                },
                component: "enterprise_management/industry_qualifications/add",
              },
              {
                path: "/enterprise_management/information/industry_qualifications/update",
                meta: {
                  title: "修改",
                  activeMenu:
                    "/enterprise_management/information/industry_qualifications",
                },
                component: "enterprise_management/industry_qualifications/add",
              },
              {
                path: "/enterprise_management/information/industry_qualifications/view",
                meta: {
                  title: "查看",
                  activeMenu:
                    "/enterprise_management/information/industry_qualifications",
                },
                component: "enterprise_management/industry_qualifications/view",
              },
            ],
          },
        ],
      },
    ],
  },
];
