import { post } from "@/request/axios.js";

// 获取数据字典
export const getLevels = (params) =>
  post("/dictionaries/getLevels", {
    loading: false,
    ...params,
  });
// 获取数据字典包括子级数量
export const getLevelsAndChildrenNumber = (params) =>
  post("/dictionaries/getLevelsAndSCount", {
    loading: false,
    ...params,
  });
// 监管类型
export const getRegulatoryType = (params) =>
  post("/corptype/corptypelist", {
    loading: false,
    ...params,
  });
// 获取在线学习培训类型
export const getLearningTrainType = (params) =>
  post("/dictionaries/listDictToParId", {
    loading: false,
    ...params,
  });
