import { post, upload } from "@/request/axios.js";

export const getEnterpriseInfo = (params) => post("/corpinfo/goEdit", params); // 获取企业信息
export const setEnterpriseInfo = (params) => upload("/corpinfo/edit", params); // 修改企业信息
export const getIndustryQualificationsList = (params) =>
  post("/qualifications/list", params); // 行业资质列表
export const setIndustryQualificationsDelete = (params) =>
  post("/qualifications/delete", params); // 行业资质删除
export const getIndustryQualificationsView = (params) =>
  post("/qualifications/goEdit", params); // 行业资质查看
export const setIndustryQualificationsAdd = (params) =>
  post("/qualifications/add", params); // 行业资质添加
export const setIndustryQualificationsEdit = (params) =>
  post("/qualifications/edit", params); // 行业资质修改
